--- a/Makefile
+++ b/Makefile
@@ -1,3 +1,6 @@
+PYTHON ?= python
+DJANGO_ADMIN_PY ?= django-admin.py
+
 PROJECT=seahub
 
 develop: setup-git
@@ -9,7 +12,7 @@ dist: locale uglify statici18n collectstatic
 
 locale:
 	@echo "--> Compile locales"
-	django-admin.py compilemessages
+	$(DJANGO_ADMIN_PY) compilemessages
 	@echo ""
 
 uglify:
@@ -19,17 +22,17 @@ uglify:
 
 statici18n:
 	@echo "--> Generate JS locale files in static/scripts/i18n"
-	python manage.py compilejsi18n
+	$(PYTHON) manage.py compilejsi18n
 
 collectstatic:
 	@echo "--> Collect django static files to media/assets"
 	rm -rf media/assets 2> /dev/null
-	python manage.py collectstatic --noinput -i admin -i termsandconditions -i app -i sysadmin-app -i build.js
+	$(PYTHON) manage.py collectstatic --noinput -i admin -i termsandconditions -i app -i sysadmin-app -i build.js
 
 compressstatic:
 	@echo "--> Compress static files(css) to media/CACHE"
 	rm -rf media/CACHE 2> /dev/null
-	python manage.py compress
+	$(PYTHON) manage.py compress
 
 clean:
 	@echo '--> Cleaning media/static cache & dist'
